﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Collections;

namespace TreeList
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			ObservableCollection<DataItem> Items = new ObservableCollection<DataItem>();

			for (int i = 1; i < 5; i++)
			{
				DataItem Item = new DataItem()
				{
					FirstName = "FirstName",
					LastName = String.Format("LastName{0}", i),
					Address = String.Format("Address{0}", i)
				};
				for (int j = 0; j < 5; j++)
				{
					DataItem Client = new DataItem()
					{
						FirstName = "ClientFirstName",
						LastName = String.Format("ClientLastName{0}", i),
						Address = String.Format("ClientAddress{0}", i)
					};
					Item.Clients.Add(Client);
				}
				Items.Add(Item);
			}

			this.myTreeListView.ItemsSource = Items;

		}

		public class DataItem
		{
			public DataItem()
			{
				this.Clients = new ObservableCollection<DataItem>();
			}
			public string FirstName { get; set; }
			public string LastName { get; set; }
			public string Address { get; set; }
			public ObservableCollection<DataItem> Clients { get; set; }
		}

	}
}